{% extends 'base_page.html' %}

{% block title %} v01d news {% endblock %}

{% block content %}
    <div class="news_block">
        {% for post in posts %}
            {% if not post.hidden or current_user.is_admin %}
                <div class="news_card">
                    <a class="card_title" href="/post/{{ post.id }}">
                        <img class="card_image"
                             src="{{ post.images[0].url }}"
                             alt="">
                        <div class="card_text">
                            <div class="card_title">{{ post.title }}</div>
                            {% if post.hidden %}
                                (Hidden!)
                            {% endif %}
                            <div class="card_article_text">{{ post.get_annotation(150) }}
                            </div>
                            <div class="card_footer">
                                <div class="card_author">{{ post.user.login }}</div>
                                <div>{{ post.publish_date.strftime("%d-%m-%Y") }}</div>
                                <div>Likes: {{ len(post.likes) }}</div>
                            </div>
                        </div>
                    </a>
                </div>
            {% endif %}
        {% endfor %}
    </div>
{% endblock %}
